﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;
public class ShopPages : MonoBehaviour {

    public Text buttonText;
    private CanvasGroup axePanel;
    private CanvasGroup swordPanel;
    public string[] panelName;

    // Use this for initialization
    void Start () {
        axePanel = GameObject.Find(panelName[0]).GetComponent<CanvasGroup>();
        swordPanel = GameObject.Find(panelName[1]).GetComponent<CanvasGroup>();
        axePanel.alpha = 1; // always start with axe display
        axePanel.interactable = true;
        swordPanel.alpha = 0; 
        swordPanel.interactable = false;
        buttonText.text = "Next";
        swordPanel.blocksRaycasts = false; // issues with pages if this isn't altered for some reason..
    }
	
	// Update is called once per frame
	void Update () {
	
	}

    // called when the player clicks the page navigation button in the shop
    public void swapPage() {
        if (axePanel.alpha == 1 && swordPanel.alpha == 0) { // if axes are currently displayed
            swordPanel.alpha = 1; // display swords
            swordPanel.interactable = true;
            axePanel.alpha = 0;
            axePanel.interactable = false;
            buttonText.text = "Next";
            swordPanel.blocksRaycasts = true;

        }
        else if (axePanel.alpha == 0 && swordPanel.alpha == 1) { // if swords are currently displayed
            axePanel.alpha = 1; // display axes
            axePanel.interactable = true;
            swordPanel.alpha = 0;
            swordPanel.interactable = false;
            buttonText.text = "Back";
            swordPanel.blocksRaycasts = false;
        }
    }
}
