﻿using UnityEngine;
using System.Collections;

[System.Serializable]
//  This class will be used to edit each individual blessing, both its stats and shop menu buttons!
public class BlessingObject : ScriptableObject {
    // display fields for shop buttons
    public string blessingName;
    public string stat1; // what primary stat to manipulate
    public string stat2; // what secondary stat to manipulate
    public int buffAmount; // how much we want to increase said stat
    public int cost;
    public string blessingDescription;
    public Sprite image;
    public bool purchased; // if the player has purchased the buff
}
